Debian Bug report logs - #659814
dpkg-dev: substvars on Description doesn't behave as documented

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Nicolás Alvarez <nicolas.alvarez@gmail.com>

Date: Mon, 13 Feb 2012 21:27:06 UTC

Severity: normal

Merged with 680871

Found in versions dpkg/1.16.1.2, dpkg/1.16.4.3, dpkg/1.16.7, dpkg/1.16.10

Fixed in version dpkg/1.17.0

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nicolas.alvarez@gmail.com, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#659814; Package dpkg-dev. (Mon, 13 Feb 2012 21:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
New Bug report received and forwarded. Copy sent to nicolas.alvarez@gmail.com, Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 13 Feb 2012 21:27:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolás Alvarez <nicolas.alvarez@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-dev: substvars on Description doesn't behave as documented
Date: Mon, 13 Feb 2012 18:23:22 -0300
Package: dpkg-dev
Version: 1.16.1.2
Severity: normal

The example on the deb-substvars(5) manpage shows a Description header
with ${Description}, an empty line, and more text, and the resulting
substituted control file shows that empty line too. However, it doesn't
actually work that way. The empty line gets removed.

Here is a shell script doing the substitution from the manpage example,
to show what it actually outputs.

---

rm -rf debian
mkdir debian
# dpkg-gencontrol wants a tmp dir and changelog file
mkdir debian/tmp
debchange --create --package x-test -v 1 "Test"

# Description header taken straight from example in deb-substvars(5)
echo 'Source: x-test

Package: x-test
Architecture: all
Description: foo application
 ${Description}
 .
 More text.' > debian/control
echo 'Description=foo is bar.${Newline}foo is great.' > debian/substvars

# Generate control file, output into stdout
dpkg-gencontrol -O

---

Note that I didn't test if this affects only Description (if it affects
other fields, the bug title is wrong).

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dpkg-dev depends on:
ii  base-files    6.5
ii  binutils      2.22-5
ii  bzip2         1.0.6-1
ii  libdpkg-perl  1.16.1.2
ii  make          3.81-8.1
ii  patch         2.6.1-3
ii  xz-utils      5.1.1alpha+20110809-3

Versions of packages dpkg-dev recommends:
pn  build-essential          11.5
pn  fakeroot                 1.18.2-1
pn  gcc [c-compiler]         4:4.6.2-4
pn  gcc-4.5 [c-compiler]     4.5.3-12
pn  gcc-4.6 [c-compiler]     4.6.2-12
pn  gnupg                    1.4.11-3
pn  gpgv                     1.4.11-3
pn  libalgorithm-merge-perl  <none>

Versions of packages dpkg-dev suggests:
ii  debian-keyring  2011.12.01

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#659814; Package dpkg-dev. (Sat, 05 May 2012 03:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 05 May 2012 03:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 659814@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Nicolás Alvarez <nicolas.alvarez@gmail.com>, 659814@bugs.debian.org
Subject: Re: Bug#659814: dpkg-dev: substvars on Description doesn't behave as documented
Date: Sat, 5 May 2012 05:42:55 +0200
On Mon, 2012-02-13 at 18:23:22 -0300, Nicolás Alvarez wrote:
> Package: dpkg-dev
> Version: 1.16.1.2
> Severity: normal
> 
> The example on the deb-substvars(5) manpage shows a Description header
> with ${Description}, an empty line, and more text, and the resulting
> substituted control file shows that empty line too. However, it doesn't
> actually work that way. The empty line gets removed.

Indeed, and this is actually noted on the source code. The issue is
that first some modules need to be detangled to be able to fix this
properly, I've some code on a branch which is doing exactly this, so
in principle I'll be fixing this for 1.16.4.

thanks,
guillem




Marked as found in versions dpkg/1.16.4.3 and dpkg/1.16.7. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 11:45:34 GMT) Full text and rfc822 format available.

Merged 659814 680871 Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 11:45:34 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Nicolás Alvarez <nicolas.alvarez@gmail.com>' from 'Nicolás Alvarez <nicolas.alvarez@gmail.com>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:29:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#659814; Package dpkg-dev. (Fri, 17 May 2013 19:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 17 May 2013 19:42:05 GMT) Full text and rfc822 format available.

Message #21 received at 659814@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <659814@bugs.debian.org>
Subject: Re: dpkg-dev: substvars on Description doesn't behave as documented
Date: Fri, 17 May 2013 21:40:00 +0200
Package: libdpkg-perl
Version: 1.16.10
Followup-For: Bug #659814

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

just amending the "found" field of this bug, which has just bitten me.
Looking forward to a fix!

Greetings,
Joachim

- -- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libdpkg-perl depends on:
ii  dpkg              1.16.10
ii  libtimedate-perl  1.2000-1
ii  perl              5.14.2-21

Versions of packages libdpkg-perl recommends:
ii  bzip2                   1.0.6-4
pn  libfile-fcntllock-perl  <none>
ii  xz-utils                5.1.1alpha+20120614-2

Versions of packages libdpkg-perl suggests:
ii  binutils              2.22-8
ii  debian-keyring        2013.04.21
ii  gcc [c-compiler]      4:4.7.2-1
ii  gcc-4.6 [c-compiler]  4.6.4-2
ii  gcc-4.7 [c-compiler]  4.7.3-4
ii  gnupg                 1.4.12-7
ii  gpgv                  1.4.12-7
ii  patch                 2.6.1-3

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGWh5AACgkQ9ijrk0dDIGyiTgCggQvDQ4tfGCYwwsTbRDmMfm0k
/okAoLFc6xH2l190yiiPJPgj5cRefIGx
=A57A
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#659814; Package dpkg-dev. (Fri, 17 May 2013 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 17 May 2013 19:57:09 GMT) Full text and rfc822 format available.

Message #26 received at 659814@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 659814@bugs.debian.org
Subject: Re: Bug#659814: dpkg-dev: substvars on Description doesn't behave as documented
Date: Fri, 17 May 2013 21:52:25 +0200
On Fri, 2013-05-17 at 21:40:00 +0200, Joachim Breitner wrote:
> Package: libdpkg-perl
> Version: 1.16.10
> Followup-For: Bug #659814

> just amending the "found" field of this bug, which has just bitten me.

I don't think the additional found adds any significant information
(besides a ping :), that should already be implied by the version
tracking support, due to the bug not being fixed yet.

> Looking forward to a fix!

I've queued it for 1.17.0, this time for real. :)

Thanks,
Guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#659814; Package dpkg-dev. (Fri, 17 May 2013 19:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 17 May 2013 19:57:12 GMT) Full text and rfc822 format available.

Message #31 received at 659814@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: 659814@bugs.debian.org
Subject: Re: Bug#659814: dpkg-dev: substvars on Description doesn't behave as documented
Date: Fri, 17 May 2013 21:54:23 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 17.05.2013, 21:52 +0200 schrieb Guillem Jover:
> On Fri, 2013-05-17 at 21:40:00 +0200, Joachim Breitner wrote:
> > Package: libdpkg-perl
> > Version: 1.16.10
> > Followup-For: Bug #659814
> 
> > just amending the "found" field of this bug, which has just bitten me.
> 
> I don't think the additional found adds any significant information
> (besides a ping :), that should already be implied by the version
> tracking support, due to the bug not being fixed yet.

Great, the ping was received :-)

And it adds the information that the bug was not accidentally closed
(which I often do with bugs in my packages).

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata

[signature.asc (application/pgp-signature, inline)]

Added indication that bug 659814 blocks 708703 Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 17 May 2013 20:21:05 GMT) Full text and rfc822 format available.

Added indication that bug 659814 blocks 712939 Request was from Guillem Jover <guillem@debian.org> to 712939-submit@bugs.debian.org. (Fri, 21 Jun 2013 14:45:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 27 Jul 2013 03:57:23 GMT) Full text and rfc822 format available.

Message sent on to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
Bug#659814. (Sat, 27 Jul 2013 03:57:31 GMT) Full text and rfc822 format available.

Message #40 received at 659814-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 659814-submitter@bugs.debian.org
Subject: Bug#659814 marked as pending
Date: Sat, 27 Jul 2013 03:53:49 +0000
tag 659814 pending
thanks

Hello,

Bug #659814 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=649c745

---
commit 649c745f7ea21ec2628e2b039c7590f3934d7195
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 17 06:49:24 2012 +0200

    Dpkg::Control::HashCore: Correctly apply substvar text cleanups
    
    Use the new information to properly apply substvars when outputting
    control stanzas, and avoid doing text cleanups on field values where
    those changes are not relevant.
    
    Closes: #659814

diff --git a/debian/changelog b/debian/changelog
index 8093240..193cf7a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -138,6 +138,8 @@ dpkg (1.17.0) UNRELEASED; urgency=low
   * Add new dpkg-shlibdeps -l option to add private shared library directories.
     This should be used instead of abusing LD_LIBRARY_PATH to pass the paths,
     which might be problematic when cross-compiling. Closes: #698881
+  * Only apply empy line and comma cleanups when doing substvar replacements
+    on fields where those are relevant. Closes: #659814
 
   [ Raphaël Hertzog ]
   * Fix dpkg-maintscript-helper rm_conffile and mv_conffile to do nothing



Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 27 Jul 2013 04:06:23 GMT) Full text and rfc822 format available.

Notification sent to Nicolás Alvarez <nicolas.alvarez@gmail.com>:
Bug acknowledged by developer. (Sat, 27 Jul 2013 04:06:23 GMT) Full text and rfc822 format available.

Message #45 received at 659814-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 659814-close@bugs.debian.org
Subject: Bug#659814: fixed in dpkg 1.17.0
Date: Sat, 27 Jul 2013 04:03:02 +0000
Source: dpkg
Source-Version: 1.17.0

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659814@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Jul 2013 23:54:54 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.17.0
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 162541 163763 284664 635117 657627 659814 676664 681371 681470 684196 685096 686782 689193 691449 691745 697297 698881 699807 700177 703092 704240 707323 708292 708375 708607 710265 711647 711936 712976 713020 715334 716948
Changes: 
 dpkg (1.17.0) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Switch update-alternatives back to a fatal error on out of range priority
     on --install.
   * Document dpkg-deb --debug in --help output.
   * Bump Standards-Version to 3.9.4 (no changes needed).
   * Use the new canonical dpkg git Vcs URLs.
   * Remove ancient version from zlibg1-dev Build-Depends.
   * Add compression development packages to libdpkg-dev Depends.
   * Man pages cleanup:
     - Disable justification and hyphenation in SEE ALSO sections.
     - Remove unneeded double quotes in .SH headings.
     - Do not use “header” when “format” or “field” is meant.
     - Move dangers of installing via dpkg-deb from BUGS to a NOTES section.
     - Remove BUGS sections containing obvious or misplaced information.
     - Move BUGS sections before EXAMPLES and SEE ALSO sections.
     - Place ENVIRONMENT and FILES sections contiguously.
     - Move EXIT STATUS section before ENVIRONMENT.
     - Rename CAVEATS sections to NOTES.
     - Fold BACKWARD COMPATIBILITY section into other sections.
     - Document since when DEB_*_MULTIARCH variables are supported.
     - Move compiler flags subsection from ENVIRONMENT to NOTES.
     - Unify WARNING and ERROR sections into DIAGNOSTICS.
     - Unify command-line options into a single OPTIONS section.
     - Mark programs, variables, fields and command-line options in bold.
     - Fold dpkg-architecture(1) DEBIAN/RULES section into EXAMPLES.
     - Fix dpkg-architecture(1) debian/rules usage documentation.
     - Move dpkg-buildflags(1) HARDENING into a new FEATURE AREAS subsection.
     - Improve dpkg-buildflags(1) usage documentation.
       Thanks to Matthijs Kooijman <matthijs@stdin.nl>. Closes: #657627
     - Clarify that DPKG_MAINTSCRIPT_PACKAGE is not arch-qualified.
     - Add triggers to the list of binary control information files.
       Thanks to Charles Plessy <plessy@debian.org>.
   * Use colon instead of dot for user:group in dpkg debug output.
   * Remove support for obsolete DM-Upload-Allowed from Dpkg::Vendor::Debian.
   * Fix update-alternatives to use the current alternative link as the first
     best value, to avoid flip-flops of alternatives with equal priority.
     Closes: #699807
   * Fix clang warnings due to change of alignment requirements.
   * Change copyright file to point to GPL-2 instead of GPL.
   * Do not pass -e in shell script shebangs, set it in the body.
   * Add new dpkg-parsechangelog --show-field option to print a field value.
     Closes: #284664
   * Add new dpkg-buildpackage --force-sign option.
   * By default do not sign builds for UNRELEASED uploads on dpkg-buildpackage.
     Closes: #635117
   * Also check Build-Depends-Arch for minimal versions in dpkg-shlibdeps.
     Closes: #681470
   * Document dpkg-buildflags export mode usage in man page. Closes: #691449
     Thanks to Jonathan Nieder <jrnieder@gmail.com>.
   * Rename dpkg-buildflags configure exporter to cmdline, but preserve
     configure as a legacy alias.
   * Mask fortify hardening option from dpkg-buildflags output on noopt.
     New glibc 2.16 and later, issue a warning on this condition.
     Closes: #691745
   * Refer to path instead of file on dpkg-statoverride.
   * Always print a descriptive architecture column, even for empty or missing
     architectures on «dpkg-query --list».
   * Rework SELinux code on unpack to reload the label database if it has
     changed, for example while upgrading the SELinux policy package.
   * Execute maintainer scripts in a new execution context, based on the
     current one and the specific maintainer script filename, and if it's
     not different to the current one, use "dpkg_script_t" as a fallback.
   * Do not unnecessarily create a dpkg update log record on remove or purge.
   * Always reset want status when removing or purging a package; so this
     now resets holds among others. Closes: #163763
   * Always reset want status when installing a package; so this now resets
     holds among others. Closes: #162541
   * Defer cleanup of .dpkg-new and .dpkg-tmp paths on removal to the point
     when we are definitely removing the main path.
   * Activate file triggers on removal more accurately, only when we know
     we are inevitably removing things.
   * Change dir to / before executing maintainer scripts. Closes: #686782
   * Add new dpkg-deb --deb-format option and base --new and --old on it,
     as the latter are not future-proof, and neither can be guaranteed to
     produce a reliable output file format.
   * Drop archtable. It serves no purpose, it's Debian specific, it's
     usually outdated, and everyone should be using dpkg-architecture anyway.
   * Add musl-linux support to ostable and triplettable.
     Requested-by Kevin Bortis <wermut@gmail.com>.
   * Remove update-alternatives, dpkg-divert and dpkg-statoverride
     compatibility symlinks under /usr/sbin/.
   * Remove install-info wrapper.
   * Only ignore older packages if the existing version is informative. This
     allows any program using libdpkg to parse the available file to see again
     packages with versions lesser than 0-0 (like 0~0-0). Closes: #676664
   * Fix Dpkg::Control::Hash set_options() to take a hash as argument instead
     of two scalars.
   * Add a new Dpkg::Vendor get_vendor_dir() function.
   * Print correct path to vendor directory on error message in dpkg-vendor.
   * Do not hardcode the dpkg system configuration directory in perl scripts,
     respect build time setting.
   * Deprecate Dpkg lowercase and exported by default variables, replaced by
     new unified uppercase non-exported by default ones.
   * Do not set -fstack-protector in the default build flags on arm64 (it's
     not yet supported). Thanks to Matthias Klose <doko@ubuntu.com>.
     Closes: #711936
   * Add GCJFLAGS support to dpkg-buildflags. Closes: #708375
   * Clarify that dpkg --set-selections needs an up-to-date available db,
     by documenting it on the dpkg(1) man page, and warning whenever dpkg
     finds unknown packages while setting the selections. Closes: #703092
   * Print nicer error messages in perl scripts using Getopt::Long by trapping
     $SIG{__WARN__} to call usageerr() on option parse errors.
   * Move the exit call out from usage() in dpkg-scansources so that usageerr()
     gives a correct exit code. Thanks to Bernhard R. Link <brlink@debian.org>.
   * Print correct error message on unknown dpkg-name options before --.
   * Require at least one filename on dpkg-name after --.
   * Switch program usage errors to not print entire --help output.
     Closes: #681371
   * Document that «dpkg-parsechangelog -l-» can be used to read from stdin.
   * Support parsing compressed changelog files transparently. Closes: #684196
   * Sort files inside new diffs generated by dpkg-source lexicographically.
     Closes: #689193
   * Add support for a build_arch option in Dpkg::Deps deps_parse().
     Thanks to Colin Watson <cjwatson@ubuntu.com>. Closes: #697297
   * Move epoch-less or revision-less output logic to Dpkg::Version.
     Based on a patch by Bernhard R. Link <brlink@debian.org>.
   * Catch mismatches between version strings and format versions in
     dpkg-source. Ensure that a 3.0 (quilt) package has a non-native version
     and that a 3.0 (native) package has a native version. Closes: #700177
     Thanks to Bernhard R. Link <brlink@debian.org>.
   * Add support for mipsn32(el) and mips64(el) to arch tables.
     Thanks to YunQiang Su <wzssyqa@gmail.com>. Closes: #685096, #707323
   * Document --file and --label parser options in dpkg-parsechangelog(1).
   * Add a new configure --with-dpkg-deb-compressor option to allow selecting
     the default dpkg-deb compressor, mainly for downstreams.
   * Switch dpkg-deb default compressor from gzip to xz. Build dpkg.deb using
     gzip to make debootstrap life easier on non-Debian based systems.
   * Add support for gzip compression strategies to dpkg-deb. The new
     strategies are: filtered, huffman, rle and fixed.
   * Change dpkg and dpkg-deb help output to recommend apt instead of dselect
     as a user-friendly frontend.
   * Remove temporary file on error during «dpkg-divert --rename».
   * Fix value caching in Dpkg::Arch by not shadowing the variables.
   * Fix chmod() arguments order in Dpkg::Source::Quilt. Closes: #710265
     Thanks to Pablo Oliveira <pablo@sifflez.org>.
   * Add new dpkg-shlibdeps -l option to add private shared library directories.
     This should be used instead of abusing LD_LIBRARY_PATH to pass the paths,
     which might be problematic when cross-compiling. Closes: #698881
   * Only apply empy line and comma cleanups when doing substvar replacements
     on fields where those are relevant. Closes: #659814
   * Do not scan control files twice for PGP signature presence.
 .
   [ Raphaël Hertzog ]
   * Fix dpkg-maintscript-helper rm_conffile and mv_conffile to do nothing
     when the conffile is no longer owned by the current (or named) package.
     Thanks to Steve Langasek for the patch. Closes: #716948
   * Improve dpkg-maintscript-helper behaviour in “Multi-Arch: same” packages
     by arch-qualifying package names read from the environment. Also add
     a warning about this potential problem in the manual page.
   * Fix usage of non-existent _() function in multiple places of the Perl
     code. Thanks to Lincoln Myers <lincoln@netapp.com> for the patch.
     Closes: #708607
 .
   [ Updated programs translations ]
   * Fix typo in Spanish translation of update-alternatives.
     Thanks to Javier Fernandez-Sanguino <jfs@debian.org>. Closes: #713020
 .
   [ Updated programs translations ]
   * Vietnamese (Trần Ngọc Quân). Closes: #715334
 .
   [ Added man page translations ]
   * Italian (Beatrice Torracca). Closes: #711647
 .
   [ Updated man page translations ]
   * Fix wrong translation of "fortify" in French dpkg-buildflags(1) man page.
     Thanks to Christian Perrier <bubulle@debian.org>. Closes: #712976
   * Fix typo in dpkg-source(1) man page French translation.
     Thanks to Cédric Boutillier <boutil@debian.org>. Closes: #708292
   * Japanese (TAKAHASHI Motonobu). Closes: #704240
Checksums-Sha1: 
 7d0a5389a4f986c0e5ae9cebc706d240e3780282 1365 dpkg_1.17.0.dsc
 1eefd9ba1ec7d61697faf82586ecf153b928724f 3783600 dpkg_1.17.0.tar.xz
 7b1b6154ebefd8e7175cb2f3f0bfa9625cc60292 729842 libdpkg-dev_1.17.0_amd64.deb
 44b07a9828968b3d40178a995f2f7e83e6b86630 2624194 dpkg_1.17.0_amd64.deb
 24350e9fc261b9d9fbb49b5f9fc823d6e3f416bd 1194456 dselect_1.17.0_amd64.deb
 f7e55eddd462115c403964ea96d1438093951492 1346654 dpkg-dev_1.17.0_all.deb
 44315dc84dfa31cc9a7a4c3d6240f6059f212690 984038 libdpkg-perl_1.17.0_all.deb
Checksums-Sha256: 
 67c73b04b16a2a067b6f58f463161009b9868392734bac3434d08d8248996a0f 1365 dpkg_1.17.0.dsc
 a424cae7e94c98c3f700dc40eea6bc66ab7a14183c7d6efd2992de8261701352 3783600 dpkg_1.17.0.tar.xz
 de410be6e39b77dc5b381572794412b68b9f0c1076c4c9d60b3da089ddb520af 729842 libdpkg-dev_1.17.0_amd64.deb
 d0f218a17592bf51090c9eb7209047a86170d6c8089fc9c8b685149196764bfe 2624194 dpkg_1.17.0_amd64.deb
 4d86af7e10edd35ac8232801f42293bebbf68576319b4e827de4c30ba48db9df 1194456 dselect_1.17.0_amd64.deb
 f81da86ecd9728fb52ad6452b5b121411fba2188a486338d0b51ceeb6e9b8bde 1346654 dpkg-dev_1.17.0_all.deb
 e3f3b0773b0d1cfbc68a73603ffce6f7a3fc71ca22c3e78a5aea6dfac78264aa 984038 libdpkg-perl_1.17.0_all.deb
Files: 
 9fba33b2f2fe8e4af1585bff1e5bf02c 1365 admin required dpkg_1.17.0.dsc
 7a2a1a1b82a44154a7b6791ccbec03cf 3783600 admin required dpkg_1.17.0.tar.xz
 bee0aabc337738db567c23af184ee235 729842 libdevel optional libdpkg-dev_1.17.0_amd64.deb
 6c79ea18925f5c8ec8f1d871250f2866 2624194 admin required dpkg_1.17.0_amd64.deb
 34b0f0ace57e4583f38dd271f9b3bf2f 1194456 admin optional dselect_1.17.0_amd64.deb
 1bbc56aab4c34600de3b1096c3a3a1ab 1346654 utils optional dpkg-dev_1.17.0_all.deb
 76980aced39400a69192a67247ce10fe 984038 perl optional libdpkg-perl_1.17.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHzPBQACgkQuW9ciZ2SjJul9ACfWjrT9o9dyZAn71cwuK/bd1rp
wv8AnAhTjjV1EGX7v3dGkROgyG7Ws47m
=vJ2Z
-----END PGP SIGNATURE-----




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 27 Jul 2013 04:06:24 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sat, 27 Jul 2013 04:06:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Jan 2014 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:45:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.